Hooks:PostHook(RaidMenuSceneManager, "init", "CustomBackgroundInit", function(self)
    local bg = self._background_image
    bg._object:set_alpha(0) --hide video
    bg._new_object = bg._panel:bitmap({h = bg._panel:h(), texture = "core/textures/hub_elements_df", layer = -20})
    bg._new_object:set_center(bg._panel:center())
end)

Hooks:PostHook(RaidMenuSceneManager, "show_background", "CustomBackgroundShow", function(self)
    local bg = self._background_image
    if alive(bg._new_object) then
        bg._new_object:show()
    end
end)

Hooks:PostHook(RaidMenuSceneManager, "hide_background", "CustomBackgroundHide", function(self)
    local bg = self._background_image
    if alive(bg._new_object) then
        bg._new_object:hide()
    end
end)

Hooks:PostHook(RaidMainMenuGui, "init", "CustomBackgroundHideAd", function(self)
    local button = self._steam_group_button_image
    if button then
        button._panel:hide()
        button._on_mouse_pressed_callback = function() end
        button._on_mouse_released_callback = function() end
        button._on_mouse_enter_callback = function() end
        button._on_mouse_exit_callback = function() end
    end
end)